OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
op::PoseExtractorNet Class Referenceabstract

`#include <poseExtractorNet.hpp>`

Inherited by op::PoseExtractorCaffe.

## Public Member Functions
| PoseExtractorNet (const PoseModel poseModel, const std::vector< HeatMapType > &heatMapTypes={}, const ScaleMode heatMapScale=ScaleMode::ZeroToOne, const bool addPartCandidates=false, const bool maximizePositives=false)
virtual | ~PoseExtractorNet ()
void | initializationOnThread ()
virtual void | forwardPass (const std::vector< Array< float >> &inputNetData, const Point< int > &inputDataSize, const std::vector< double > &scaleRatios={1.f})=0
virtual const float * | getCandidatesCpuConstPtr () const =0
virtual const float * | getCandidatesGpuConstPtr () const =0
virtual const float * | getHeatMapCpuConstPtr () const =0
virtual const float * | getHeatMapGpuConstPtr () const =0
virtual std::vector< int > | getHeatMapSize () const =0
Array< float > | getHeatMapsCopy () const
std::vector< std::vector < std::array< float, 3 > > > | getCandidatesCopy () const
virtual const float * | getPoseGpuConstPtr () const =0
Array< float > | getPoseKeypoints () const
Array< float > | getPoseScores () const
float | getScaleNetToOutput () const
double | get (const PoseProperty property) const
void | set (const PoseProperty property, const double value)
void | increase (const PoseProperty property, const double value)
void | clear ()

## Protected Member Functions
void | checkThread () const
virtual void | netInitializationOnThread ()=0

## Protected Attributes
const PoseModel | mPoseModel
Point< int > | mNetOutputSize
Array< float > | mPoseKeypoints
Array< float > | mPoseScores
float | mScaleNetToOutput

## Constructor & Destructor Documentation

op::PoseExtractorNet::PoseExtractorNet | ( | const PoseModel | poseModel,
|  | const std::vector< HeatMapType > & | heatMapTypes = `{}`,
|  | const ScaleMode | heatMapScale = `ScaleMode::ZeroToOne`,
|  | const bool | addPartCandidates = `false`,
|  | const bool | maximizePositives = `false`
| ) |  |

virtual op::PoseExtractorNet::~PoseExtractorNet | ( |  | ) |
| virtual

## Member Function Documentation

void op::PoseExtractorNet::checkThread | ( |  | ) | const
| protected

void op::PoseExtractorNet::clear | ( |  | ) |

virtual void op::PoseExtractorNet::forwardPass | ( | const std::vector< Array< float >> & | inputNetData,
|  | const Point< int > & | inputDataSize,
|  | const std::vector< double > & | scaleRatios = `{1.f}`
| ) |  |
| pure virtual

Implemented in op::PoseExtractorCaffe.

double op::PoseExtractorNet::get | ( | const PoseProperty | property | ) | const

std::vector<std::vector<std::array<float,3> > > op::PoseExtractorNet::getCandidatesCopy | ( |  | ) | const

virtual const float* op::PoseExtractorNet::getCandidatesCpuConstPtr | ( |  | ) | const
| pure virtual

Implemented in op::PoseExtractorCaffe.

virtual const float* op::PoseExtractorNet::getCandidatesGpuConstPtr | ( |  | ) | const
| pure virtual

Implemented in op::PoseExtractorCaffe.

virtual const float* op::PoseExtractorNet::getHeatMapCpuConstPtr | ( |  | ) | const
| pure virtual

Implemented in op::PoseExtractorCaffe.

virtual const float* op::PoseExtractorNet::getHeatMapGpuConstPtr | ( |  | ) | const
| pure virtual

Implemented in op::PoseExtractorCaffe.

Array<float> op::PoseExtractorNet::getHeatMapsCopy | ( |  | ) | const

virtual std::vector<int> op::PoseExtractorNet::getHeatMapSize | ( |  | ) | const
| pure virtual

Implemented in op::PoseExtractorCaffe.

virtual const float* op::PoseExtractorNet::getPoseGpuConstPtr | ( |  | ) | const
| pure virtual

Implemented in op::PoseExtractorCaffe.

Array<float> op::PoseExtractorNet::getPoseKeypoints | ( |  | ) | const

Array<float> op::PoseExtractorNet::getPoseScores | ( |  | ) | const

float op::PoseExtractorNet::getScaleNetToOutput | ( |  | ) | const

void op::PoseExtractorNet::increase | ( | const PoseProperty | property,
|  | const double | value
| ) |  |

void op::PoseExtractorNet::initializationOnThread | ( |  | ) |

virtual void op::PoseExtractorNet::netInitializationOnThread | ( |  | ) |
| protected pure virtual

Implemented in op::PoseExtractorCaffe.

void op::PoseExtractorNet::set | ( | const PoseProperty | property,
|  | const double | value
| ) |  |

## Member Data Documentation

Point<int> op::PoseExtractorNet::mNetOutputSize
| protected

Array<float> op::PoseExtractorNet::mPoseKeypoints
| protected

const PoseModel op::PoseExtractorNet::mPoseModel
| protected

Array<float> op::PoseExtractorNet::mPoseScores
| protected

float op::PoseExtractorNet::mScaleNetToOutput
| protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/pose/poseExtractorNet.hpp